gets (s)
char *s;
{ /* gets (s) - read a string with cgetc and store in s */
char *p;
extern int cin;
p=s;
while ((*s = cgetc(cin)) != '\n' && *s != '\0') s++;
if (*p == '\0') return (0);
*s = '\0';
return (p);
}
